## ros-iron-ros2lifecycle-test-fixtures 0.25.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros2lifecycle_test_fixtures)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rclcpp REQUIRED)

add_executable(simple_lifecycle_node
  src/simple_lifecycle_node.cpp)

ament_target_dependencies(simple_lifecycle_node
  "rclcpp_lifecycle")

install(TARGETS
  simple_lifecycle_node
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-ros2lifecycle-test-fixtures (0.25.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.25.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.25.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.25.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.24.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.24.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.23.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Mar 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.22.0-1jammy) jammy; urgency=high

  * Update the ros2cli test fixture to C++17. (#789 <https://github.com/ros2/ros2cli/issues/789>)
  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.21.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.20.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.18.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.18.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.18.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.18.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.17.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.17.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.16.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.16.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.14.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.13.0-1jammy) jammy; urgency=high

  * Depend on rclcpp::rclcpp target. (#618 <https://github.com/ros2/ros2cli/issues/618>)
    Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.11.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.10.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 01 Nov 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.9.5-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.9.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.9.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.9.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.9.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 05 May 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.9.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Apr 2020 16:00:00 -0000

ros-iron-ros2lifecycle-test-fixtures (0.8.6-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-iron-ros2lifecycle-test-fixtures
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ros2lifecycle-test-fixtures
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-rclcpp-lifecycle, ros-iron-ros-workspace
Description: Package containing fixture nodes for ros2lifecycle tests

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ros2lifecycle-test-fixtures//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
